Bug 1727721 - CVE-2019-10193 redis: Stack buffer overflow in HyperLogLog triggered by malicious client [openstack-rdo]
Summary: CVE-2019-10193 redis: Stack buffer overflow in HyperLogLog triggered by malic...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: distribution
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: Shai Revivo
URL:
Whiteboard: component:redis
Depends On:
Blocks: CVE-2019-10193
TreeView+ depends on / blocked
 
Reported: 2019-07-08 04:26 UTC by Summer Long
Modified: 2020-08-24 12:57 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-24 12:57:36 UTC


Attachments (Terms of Use)

Description Summer Long 2019-07-08 04:26:29 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of openstack-rdo.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Alfredo Moralejo 2020-07-28 14:15:18 UTC
Updating to 3.2.13 for CentOS7 https://review.rdoproject.org/r/28753

For CentOS 8 we use redis from CentOS AppStream

Comment 2 Yatin Karel 2020-08-24 12:57:36 UTC
3.2.13 is included in centos7 repos. For CentOS8 based releases we consume from CentOS8 Appstream repo.


Note You need to log in before you can comment on or make changes to this bug.